// Persistence Of Vision INCLUDE file
// File:        rpger.inc
// Vers:        3.1g.r1 Mac PPC
// Desc:        define characters
// Auth:        Peter Murray

#debug "\r\n  rpger.inc - define characters\r\n"

// Define each character:
// Calmora Dessain (fighter, female)
#macro CalmoraCostume()
	#declare RPGOptions=array[3]{1,2,1}
	#declare RPGBody=array[7]{<1,1,1>,<0.9,1,1>,<1,1,1>,<1,1,1>,<0.9,0.9,1>,<1,1,1>,<1,1,1>}
	#declare RPGPose=array[13]{<-10,10,0>, <-30,0,-10>,<35,0,0>, <20,0,10>,<40,0,0>,
		<20,0,0>,<-40,0,0>, <-20,0,0>,<-35,0,0>,
		<-30,0,0>, <0,0,0>, <0,0,0>, <0,0,0>
	}
	#declare RPGoffset=<0,-2,6>;
	#declare HFlesh=texture{pigment{colour rgb <0.86,0.69,0.68>}}
	#declare HHair =texture{
		pigment{colour rgb <0.40,0.33,0.15>}
		normal{wrinkles scale <1,4,1>}
	}
	#declare GuardPlate=texture{pigment{P_Copper1} finish{F_MetalA} normal{dents}}
	#declare GuardChain=texture{
		pigment{
			leopard scale 0.01 turbulence 0.0
			colour_map{
				[0.00 colour rgbt <1,1,1,0.5>]
				[0.49 colour rgbt <1,1,1,0.5>]
				[0.50 P_Chrome1]
				[0.90 P_Chrome1]
				[0.91 colour rgbt <1,1,1,0.5>]
				[1.00 colour rgbt <1,1,1,0.5>]
			}
		}
		//finish{F_MetalA}
	}
	#declare GuardSword=texture{pigment{P_Brass1} finish{F_MetalC}}
	#declare GuardLeather=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardSole=texture{pigment{colour rgb <0.4,0.4,0.4>}}
	#include "guard.cst"
#end

// Mencori Waraxe (fighter, male)
#macro MencoriCostume()
	#declare RPGOptions=array[3]{0,1,2}
	#declare RPGBody=array[7]{<1.1,1,1>,<1.1,1,1>,<1,1,1>,<1,1,1>,<1.1,1,1>,<1,1,1>,<1,1,1>}
	#declare RPGPose=array[13]{<-10,10,0>, <-20,0,-10>,<-10,0,0>, <20,0,10>,<60,-10,0>,
		<10,0,-8>,<-20,0,-12>, <0,0,8>,<-10,0,12>,
		<-20,0,0>, <0,0,0>, <0,0,0>, <5,0,0>
	}
	#declare RPGoffset=<0,0,0>;
	#declare HFlesh=texture{pigment{colour rgb <0.86,0.69,0.68>}}
	#declare HHair =texture{
		pigment{colour rgb <0.40,0.33,0.15>}
		normal{wrinkles scale <1,4,1>}
	}
	#declare GuardPlate=texture{pigment{P_Copper1} finish{F_MetalB} normal{dents}}
	#declare GuardChain=texture{
		pigment{
			leopard scale 0.01 turbulence 0.0
			colour_map{
				[0.00 colour rgbt <1,1,1,0.5>]
				[0.49 colour rgbt <1,1,1,0.5>]
				[0.50 P_Chrome1]
				[0.90 P_Chrome1]
				[0.91 colour rgbt <1,1,1,0.5>]
				[1.00 colour rgbt <1,1,1,0.5>]
			}
		}
	}
	#declare GuardAxeW=texture{T_Wood1}
	#declare GuardAxeM=texture{pigment{P_Brass1} finish{F_MetalB}}
	#declare GuardLeather=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardSole=texture{pigment{colour rgb <0.4,0.4,0.4>}}
	#include "guard.cst"
#end

// Falane Trober (thief, male)
#macro FalaneCostume()
	#declare RPGOptions=array[3]{0,1,1}
	#declare RPGBody=array[7]{<0.9,1,0.9>,<0.9,1,0.9>,<0.9,1,0.9>,<0.9,1,0.9>,<0.9,1,0.9>,<0.9,1,0.9>,<0.9,1,0.9>}
	#declare RPGPose=array[13]{<-10,-15,0>, <-5,0,-5>,<30,0,0>, <-10,0,10>,<10,0,0>,
		<5,0,0>,<-10,0,0>, <-10,0,0>,<-30,0,0>,
		<20,0,0>, <0,0,0>, <0,0,0>, <0,0,0>
	}
	#declare RPGoffset=<0,0,6>;
	#declare HFlesh=texture{pigment{colour rgb <0.88,0.65,0.55>}}
	#declare HHair =texture{pigment{colour rgb <0.64,0.50,0.42>}}
	#declare GuardPlate=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardChain=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardSword=texture{pigment{P_Brass1} finish{F_MetalC}}
	#declare GuardLeather=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardSole=texture{pigment{colour rgb <0.4,0.4,0.4>}}
	#include "guard.cst"
#end

// Neffy Hibiss (cleric, male)
#macro NeffyCostume()
	#declare RPGOptions=array[3]{0,1,3}
	#declare RPGBody=array[7]{<1,1,1.1>,<1,1,1.1>,<1,1,1.1>,<1,1,1.1>,<1,1,1.1>,<1,1,1.1>,<1,1,1.1>}
	#declare RPGPose=array[13]{<0,0,0>, <-10,0,0>,<95,0,0>, <0,0,0>,<0,0,0>,
		<-5,0,0>,<0,0,0>, <15,0,0>,<-30,0,0>,
		<40,0,0>, <0,0,0>, <0,0,0>, <0,0,0>
	}
	#declare RPGoffset=<0,0,0>;
	#declare HFlesh=texture{pigment{colour rgb <0.86,0.69,0.68>}}
	#declare HHair =texture{
		pigment{colour rgb <0.40,0.33,0.15>}
		normal{wrinkles scale <1,4,1>}
	}
	#declare GuardPlate=texture{pigment{P_Chrome1} finish{F_MetalB} normal{dents}}
	#declare GuardChain=texture{pigment{P_Chrome1} finish{F_MetalB} normal{dents}}
	#declare GuardAxeW=texture{T_Wood1}
	#declare GuardAxeM=texture{pigment{P_Brass1} finish{F_MetalB}}
	#declare GuardLeather=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardCloth=texture{pigment{colour rgb <0.9,0.9,0.9>} normal{wrinkles}}
	#declare GuardSole=texture{pigment{colour rgb <0.4,0.4,0.4>}}
	#include "cleric.cst"
#end

// Hondy Bilson (Aide, male)
#macro HondyCostume()
	#declare RPGOptions=array[3]{0,1,4}
	#declare RPGBody=array[7]{<1,0.85,1>,<1,0.85,1>,<1,0.85,1>,<1,0.85,1>,<1,0.85,1>,<1,0.85,1>,<1,0.85,1>}
	#declare RPGPose=array[13]{<0,0,0>, <0,0,0>,<0,0,0>, <-10,0,0>,<70,0,0>,
		<15,0,0>,<-30,0,0>, <-5,0,0>,<0,0,0>,
		<0,0,0>, <15,0,0>, <0,0,0>, <0,0,0>
	}
	#declare RPGoffset=<0,0,0>;
	#declare HFlesh=texture{pigment{colour rgb <0.84,0.66,0.59>}}
	#declare HHair =texture{pigment{colour rgb <0.52,0.39,0.23>}}
	#declare GuardPlate=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardChain=texture{pigment{colour rgb <0.48,0.32,0.1>} normal{wrinkles}}
	#declare GuardAxeW=texture{T_Wood1}
	#declare GuardAxeM=texture{pigment{P_Brass1} finish{F_MetalB}}
	#declare GuardLeather=texture{pigment{colour rgb <0.32,0.48,0.1>} normal{wrinkles}}
	#declare GuardCloth=texture{pigment{colour rgb <0.9,0.9,0.9>} normal{wrinkles}}
	#declare GuardSole=texture{pigment{colour rgb <0.4,0.4,0.4>}}
	#include "guard.cst"
#end


//#include "BiCubic.mcr"
//#include "rtd2.inc"
/*
#declare Furskin=
texture{
  pigment{
    leopard
    turbulence 0.4 octaves 6 omega 0.3 lambda 1.0
    colour_map{
      [0.00 colour rgb <0.66, 0.50, 0.16>]
      [0.30 colour rgb <0.66, 0.50, 0.16>]
      [0.31 colour rgb <0.25, 0.25, 0.05>]
      [1.00 colour rgb <0.18, 0.18, 0.04>]
    } scale 0.5 rotate <10,0,15>
  }
	normal{
		wrinkles 0.5 turbulence 0.5
	}
}
*/
//#include "cavekid2.cst"
//#include "pupil.cst"
#include "matrix.mcr"
#include "rtd3.inc"
/*
//RTDH2(<0,0,0>,<0,0,0>,
RTDH3(<0,0,0>,<0,0,0>,
	array[7]{<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>},
	array[9]{<0,0,0>,<0,0,-10>,<0,0,0>,<0,0,10>,<0,0,0>,<0,0,0>,<0,0,0>,<0,0,0>,<0,0,0>},
	array[1]{0},<0,0,0>,<0,0,0>,<0,0,0>
	,<0,0,0>,<0,0,0>
)
//RTDH2(<21,0,0>,<0,180,0>,
RTDH3(<21,0,0>,<0,180,0>,
	array[7]{<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>},
	array[9]{<0,0,0>,<0,0,-10>,<0,0,0>,<0,0,10>,<0,0,0>,<0,0,0>,<0,0,0>,<0,0,0>,<0,0,0>},
	array[1]{0},<0,0,0>,<0,0,0>,<0,0,0>
	,<0,0,0>,<0,0,0>
)
//RTDH2(<-21,0,0>,<0,-90,0>,
RTDH3(<-21,0,0>,<0,-90,0>,
	array[7]{<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>,<1,1,1>},
	array[9]{<0,0,0>,<0,0,-10>,<0,0,0>,<0,0,10>,<0,0,0>,<0,0,0>,<0,0,0>,<0,0,0>,<0,0,0>},
	array[1]{0},<0,0,0>,<0,0,0>,<0,0,0>
	,<0,0,0>,<0,0,0>
)                              
*/
